> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/staking/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/staking/ethereum/staking-api-reference/broadcast-transaction.md).

# Broadcast Transaction

## POST /v1/api/ethereum/{network}/broadcast\_transaction

> Sends a signed deposit transaction to the Ethereum network, initiating validator creation. Both legacy and EIP-1559 transactions are supported.

```json
{"openapi":"3.0.3","info":{"title":"Validation Cloud Staking API","version":"1.0.0"},"servers":[{"url":"https://ethereum-staking.sprd.validationcloud.io"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"BroadcastTransactionRequest":{"type":"object","properties":{"signed_transaction":{"format":"binary","type":"string","description":"The signed transaction in RLP canonical encoding that will be broadcasted to the Ethereum network."}}},"BroadcastTransactionResponse":{"type":"object","properties":{"transaction_hash":{"format":"binary","type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/api/ethereum/{network}/broadcast_transaction":{"post":{"description":"Sends a signed deposit transaction to the Ethereum network, initiating validator creation. Both legacy and EIP-1559 transactions are supported.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BroadcastTransactionRequest"}}}},"parameters":[{"name":"network","in":"path","required":true,"schema":{"type":"string","default":"mainnet","enum":["mainnet","hoodi"]},"description":"The network"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BroadcastTransactionResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"tags":["Broadcast Transaction"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/staking/ethereum/staking-api-reference/broadcast-transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
